{
  pkgs,
  buildPythonPackage,
  litex,
}:
buildPythonPackage rec {
  pname = "liteiclink";
  version = "2023.12";

  src = pkgs.fetchFromGitHub {
    owner = "enjoy-digital";
    repo = "liteiclink";
    rev = "${version}";
    hash = "sha256-5Hp5vFqmfkXo1q60FvOkToTy952svirChIPIvkam04M=";
  };

  buildInputs = [
    litex
  ];

  checkPhase = ''
    python -m unittest test
  '';
  doCheck = true;
}
