{
  pkgs,
  lib,
  buildPythonPackage,
  migen,
  setuptools,
  litex,
}:
buildPythonPackage rec {
  pname = "litescope";
  version = "2023.12";

  src = pkgs.fetchFromGitHub {
    owner = "enjoy-digital";
    repo = "litescope";
    rev = "${version}";
    hash = "sha256-OWC+XwB+BzlCQkPKJCbQ0W4T6JbsInldrn9jYYjWypM=";
  };

  buildInputs = [
    litex
  ];

  checkPhase = ''
    python -m unittest test
  '';
  doCheck = true;
}
