{
  pkgs,
  lib,
  buildPythonPackage,
  pyserial,
  migen,
  requests,
  packaging,
  pexpect,
}:
buildPythonPackage rec {
  pname = "litex";
  version = "2024.12";

  src = pkgs.fetchFromGitHub {
    owner = "enjoy-digital";
    repo = "litex";
    rev = "${version}";
    hash = "sha256-T28kpdDstMHZtSlRrmA1JZ3lP2/3tfzEh58tU44ik7E=";
  };

  buildInputs = [
    migen
  ];

  propagatedBuildInputs = [
    requests
    pyserial
    packaging
  ];

  doCheck = false;
}
